Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 642558

Summary: sys-devel/gdb-8.0.1 - "Sorry, but gdb does not support the LINGUAS: en en_US"
Product: Gentoo Linux Reporter: Francesco Turco <fturco>
Component: Current packagesAssignee: Gentoo Toolchain Maintainers <toolchain>
Status: UNCONFIRMED ---    
Severity: minor CC: jstein
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge --info sys-devel/gdb
build log

Description Francesco Turco 2017-12-28 19:13:53 UTC
Created attachment 511884 [details]
emerge --info sys-devel/gdb

Every time I build =sys-devel/gdb-8.0.1 I get the following warning message:

> INFO: prepare
> Sorry, but gdb does not support the LINGUAS: en en_US

Needless to say I have LINGUAS="en en_US" in my make.conf file. I can't understand why gdb complains about standard English as a language.

The following 2012 message from the gentoo-dev mailing list seems to be concerned about my exact same problem, but it doesn't provide a solution:
https://archives.gentoo.org/gentoo-dev/message/512b5e4049617666f6637618bd62857a

By the way it seems the LINGUAS variable is deprecated in favour of L10N.
Comment 1 Jonas Stein gentoo-dev 2018-01-01 19:58:23 UTC
Thank you for the report. Please *attach* the logfiles,
https://wiki.gentoo.org/wiki/Attach_the_logs_to_the_bug_ticket
and reopen this ticket (Status:unconfirmed).
Comment 2 Francesco Turco 2018-01-02 09:59:45 UTC
Created attachment 512700 [details]
build log